summaryrefslogtreecommitdiffstats
path: root/system/gsmartcontrol/gsmartcontrol.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/gsmartcontrol/gsmartcontrol.SlackBuild')
-rw-r--r--system/gsmartcontrol/gsmartcontrol.SlackBuild9
1 files changed, 3 insertions, 6 deletions
diff --git a/system/gsmartcontrol/gsmartcontrol.SlackBuild b/system/gsmartcontrol/gsmartcontrol.SlackBuild
index bfce83c5b3..57ac64c80c 100644
--- a/system/gsmartcontrol/gsmartcontrol.SlackBuild
+++ b/system/gsmartcontrol/gsmartcontrol.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gsmartcontrol
-VERSION=0.8.6
+VERSION=${VERSION:-0.8.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -59,15 +59,12 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Fix build with gcc-4.7.x
-sed -i "s/\tdestroy/\tthis->destroy/" src/gsc_text_window.h
-
-# Patch from debian for glib >= 2.31
-patch -p1 < $CWD/04_glib2.31.patch
+sed -i "s/\tdestroy/\tthis->destroy/" src/gsc_text_window.h || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \